ランタイム: Mix::Sound::IListener Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
Mix::Sound::IListener Class Referenceabstract

リスナーインターフェース More...

`#include <IListener.h>`

Inheritance diagram for Mix::Sound::IListener:
[legend]
Collaboration diagram for Mix::Sound::IListener:
[legend]

## Public Member Functions

virtual const Mix::Vector3 & | GetLocalFront (void) const =0
| ローカルの前方ベクトルを取得します More...
virtual const Mix::Vector3 & | GetLocalUp (void) const =0
| ローカルの上方ベクトルを取得します More...
virtual const Mix::Vector3 & | GetWorldFront (void) const =0
| ワールドの前方ベクトルを取得します More...
virtual const Mix::Vector3 & | GetWorldUp (void) const =0
| ワールドの上方ベクトルを取得します More...
virtual const Mix::Matrix4x4 & | GetWorldMatrix (void) const =0
| ワールド行列を取得します More...
virtual void | SetWorldMatrix (const Mix::Matrix4x4 &mat)=0
| ワールド行列を設定します More...
virtual const Mix::Vector3 & | GetVelocity (void) const =0
| 毎秒の移動速度を取得します More...
virtual void | SetVelocity (const Mix::Vector3 &velocity)=0
| 毎秒の移動速度を設定します More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IListener (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Detailed Description

リスナーインターフェース

## Constructor & Destructor Documentation

virtual Mix::Sound::IListener::~IListener | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual const Mix::Vector3& Mix::Sound::IListener::GetLocalFront | ( | void |  | ) | const

pure virtual

ローカルの前方ベクトルを取得します

Returns
  ローカルの前方ベクトルを表す Mix::Vector3 クラスを返します

virtual const Mix::Vector3& Mix::Sound::IListener::GetLocalUp | ( | void |  | ) | const

pure virtual

ローカルの上方ベクトルを取得します

Returns
  ローカルの上方ベクトルを表す Mix::Vector3 クラスを返します

virtual const Mix::Vector3& Mix::Sound::IListener::GetWorldFront | ( | void |  | ) | const

pure virtual

ワールドの前方ベクトルを取得します

Returns
  ワールドの前方ベクトルを表す Mix::Vector3 クラスを返します

virtual const Mix::Vector3& Mix::Sound::IListener::GetWorldUp | ( | void |  | ) | const

pure virtual

ワールドの上方ベクトルを取得します

Returns
  ワールドの上方ベクトルを表す Mix::Vector3 クラスを返します

virtual const Mix::Matrix4x4& Mix::Sound::IListener::GetWorldMatrix | ( | void |  | ) | const

pure virtual

ワールド行列を取得します

Returns
  ワールド行列を表す Mix::Matrix4x4 クラスを返します

virtual void Mix::Sound::IListener::SetWorldMatrix | ( | const Mix::Matrix4x4 & | mat | ) |

pure virtual

ワールド行列を設定します

Parameters

  [in] | mat | ワールド行列を表す Mix::Matrix4x4 クラス

virtual const Mix::Vector3& Mix::Sound::IListener::GetVelocity | ( | void |  | ) | const

pure virtual

毎秒の移動速度を取得します

Returns
  毎秒の移動速度を表す Mix::Vector3 クラスを返します

virtual void Mix::Sound::IListener::SetVelocity | ( | const Mix::Vector3 & | velocity | ) |

pure virtual

毎秒の移動速度を設定します

Parameters

  [in] | velocity | 毎秒の移動速度を表す Mix::Vector3 クラス

Note
  ドップラー効果に影響を与えます。

The documentation for this class was generated from the following file:

- Mix/Sound/IListener.h